Skip to content

NGSIEM

The NGSIEM service collection provides operations for managing NGSIEM search, lookup files, dashboards, parsers, and saved queries. Upload and retrieve lookup files, initiate and manage searches, and manage dashboards, parsers, and data connections.

LanguageLast Update
Pythonv1.6.1
PowerShellv2.2.9
Gov0.20.0
TypeScriptv0.6.0
Rustv0.7.0
Rubyv1.2.0
OperationDescription
UploadLookupV1
upload_file
Upload a lookup file to NGSIEM.
GetLookupV1
get_file
Download lookup file from NGSIEM.
GetLookupFromPackageWithNamespaceV1
get_file_from_package_with_namespace
Download lookup file in namespaced package from NGSIEM.
GetLookupFromPackageV1
get_file_from_package
Download lookup file in package from NGSIEM.
StartSearchV1
start_search
Initiate a NGSIEM search.
GetSearchStatusV1
get_search_status
Get status of a NGSIEM search.
StopSearchV1
stop_search
Stop a NGSIEM search.
GetDashboardTemplate
get_dashboard_template
Get dashboard template by ID.
CreateDashboardFromTemplate
create_dashboard_from_template
Create dashboard from template.
UpdateDashboardFromTemplate
update_dashboard_from_template
Update dashboard from template.
DeleteDashboard
delete_dashboard
Delete dashboard.
GetLookupFile
get_lookup_file
Get lookup file by ID.
CreateLookupFile
create_lookup_file
Create lookup file.
UpdateLookupFile
update_lookup_file
Update lookup file.
DeleteLookupFile
delete_lookup_file
Delete lookup file.
GetParserTemplate
get_parser_template
Get parser template by ID.
CreateParserFromTemplate
create_parser_from_template
Create Parser in NGSIEM from template.
GetParser
get_parser
Get parser by ID.
CreateParser
create_parser
Create Parser in NGSIEM.
UpdateParser
update_parser
Update parser.
DeleteParser
delete_parser
Delete Parser in NGSIEM.
UpdateParserAutoUpdatePolicy
update_parser_auto_update_policy
Update a parser auto update policy.
InstallParser
install_parser
Install a CrowdStrike-managed out-of-the-box (OOTB) parser.
BulkInstallParsers
bulk_install_parsers
Install multiple CrowdStrike-managed out-of-the-box (OOTB) parsers.
GetSavedQueryTemplate
get_saved_query_template
Retrieve Saved Query in NGSIEM as LogScale YAML Template by ID.
CreateSavedQuery
create_saved_query
Create Saved Query from LogScale YAML Template in NGSIEM.
UpdateSavedQueryFromTemplate
update_saved_query_from_template
Update Saved Query from LogScale YAML Template in NGSIEM.
DeleteSavedQuery
delete_saved_query
Delete Saved Query in NGSIEM.
ListDashboards
list_dashboards
List dashboards.
ListLookupFiles
list_lookup_files
List lookup files.
ListParsers
list_parsers
List parsers.
ListSavedQueries
list_saved_queries
List saved queries.
UpdateLookupFileEntries
update_lookup_file_entries
Update entries in an existing Lookup File in NGSIEM.
ExternalListDataConnections
list_data_connections
List and search data connections.
ExternalListDataConnectors
list_data_connectors
List available data connectors.
ExternalGetDataConnectionStatus
get_provisioning_status
Get data connection provisioning status.
ExternalUpdateDataConnectionStatus
update_connection_status
Update data connection status.
ExternalGetDataConnectionToken
get_ingest_token
Get Ingest token for data connection.
ExternalRegenerateDataConnectionToken
regenerate_ingest_token
Regenerate Ingest token for data connection.
ExternalGetDataConnectionByID
get_connection_by_id
Get data connection by ID.
ExternalCreateDataConnection
create_data_connection
Create a new data connection.
ExternalUpdateDataConnection
update_data_connection
Update a data connection.
ExternalDeleteDataConnection
delete_data_connection
Delete a data connection.
ExternalListConnectorConfigs
list_connector_configs
List configurations for a data connector.
ExternalCreateConnectorConfig
create_connector_config
Create a new configuration for a data connector.
ExternalPatchConnectorConfig
patch_connector_config
Patch configurations for a data connector.
ExternalDeleteConnectorConfigs
delete_connector_configs
Delete data connection config.
UpdateParserFromTemplate
update_parser_from_template
Update Parser in NGSIEM from YAML Template. Please note that name changes are not supported, but rather should be created as a new parser.

Upload a lookup file to NGSIEM.

POST /humio/api/v1/repositories/{repository}/files
Scope NGSIEM: WRITE Consumes · Produces multipart/form-data
PEP 8 upload_file
NameTypeData typeDescription
lookup_fileformDatastringLocation of the file object to be uploaded. Service class will also accept file for this argument.
repositorypathstringName of the repository.
parametersquerydictionaryFull query string parameters payload in JSON format.
from falconpy import NGSIEM
falcon = NGSIEM(client_id=CLIENT_ID,
client_secret=CLIENT_SECRET
)
response = falcon.upload_file(lookup_file="string", repository="string")
print(response)

Download lookup file from NGSIEM.

GET /humio/api/v1/repositories/{repository}/files/{filename}
Scope NGSIEM: READ Consumes · Produces application/octet-stream
PEP 8 get_file
NameTypeData typeDescription
filenamepathstringName of the lookup file.
repositorypathstringName of the repository.
parametersquerydictionaryFull query string parameters payload in JSON format.
from falconpy import NGSIEM
falcon = NGSIEM(client_id=CLIENT_ID,
client_secret=CLIENT_SECRET
)
with open("output_file", "wb") as save_file:
response = falcon.get_file(repository="string",
filename="string",
stream=boolean,
stream=boolean)
save_file.write(response)

Download lookup file in namespaced package from NGSIEM.

GET /humio/api/v1/repositories/{repository}/files/{namespace}/{package}/{filename}
Scope NGSIEM: READ Consumes · Produces application/octet-stream
PEP 8 get_file_from_package_with_namespace
NameTypeData typeDescription
filenamepathstringName of the lookup file.
namespacepathstringName of the namespace.
packagepathstringName of the package.
repositorypathstringName of the repository.
streamquerybooleanEnable streaming download of the returned file.
parametersquerydictionaryFull query string parameters payload in JSON format.
from falconpy import NGSIEM
falcon = NGSIEM(client_id=CLIENT_ID,
client_secret=CLIENT_SECRET
)
with open("output_file", "wb") as save_file:
response = falcon.get_file_from_package_with_namespace(repository="string",
namespace="string",
package="string",
filename="string",
stream=boolean,
stream=boolean)
save_file.write(response)

Download lookup file in package from NGSIEM.

GET /humio/api/v1/repositories/{repository}/files/{package}/{filename}
Scope NGSIEM: READ Consumes · Produces application/octet-stream
PEP 8 get_file_from_package
NameTypeData typeDescription
filenamepathstringName of the lookup file.
packagepathstringName of the package.
repositorypathstringName of the repository.
streamquerybooleanEnable streaming download of the returned file.
parametersquerydictionaryFull query string parameters payload in JSON format.
from falconpy import NGSIEM
falcon = NGSIEM(client_id=CLIENT_ID,
client_secret=CLIENT_SECRET
)
with open("output_file", "wb") as save_file:
response = falcon.get_file_from_package(repository="string",
package="string",
filename="string",
stream=boolean,
stream=boolean)
save_file.write(response)

Initiate a NGSIEM search.

POST /humio/api/v1/repositories/{repository}/queryjobs
Scope NGSIEM: WRITE Consumes · Produces application/json
PEP 8 start_search
NameTypeData typeDescription
allow_event_skippingbodybooleanFlag indicating if event skipping is allowed.
argumentsbodydictionarySearch arguments in JSON format.
aroundbodydictionarySearch proximity arguments.
autobucket_countbodyintegerNumber of events per bucket.
bodybodydictionaryFull body payload provided as a dictionary.
endbodystringLast event limit.
ingest_endbodyintegerIngest maximum.
ingest_startbodyintegerIngest start.
is_livebodybooleanFlag indicating if this is a live search.
query_stringbodystringSearch query string.
repositorypathstringName of the repository.
searchbodydictionarySearch query to perform. Can be used in replace of other keywords.
startbodystringSearch starting time range.
timezonebodystringTimezone applied to the search.
timezone_offset_minutesbodyintegerTimezone offset.
use_ingest_timebodybooleanFlag indicating if ingest time should be used.
from falconpy import NGSIEM
falcon = NGSIEM(client_id=CLIENT_ID,
client_secret=CLIENT_SECRET
)
response = falcon.start_search(allow_event_skipping=boolean,
arguments={},
around={},
autobucket_count=integer,
end="string",
ingest_end=integer,
ingest_start=integer,
is_live=boolean,
query_string="string",
repository="string",
search="string",
start="string",
timezone="string",
timezone_offset_minutes=integer)
print(response)

Get status of a NGSIEM search.

GET /humio/api/v1/repositories/{repository}/queryjobs/{id}
Scope NGSIEM: READ Consumes · Produces application/json
PEP 8 get_search_status
NameTypeData typeDescription
repositorypathstringName of the repository.
search_idpathstringID of the query.
parametersquerydictionaryFull query string parameters payload in JSON format.
from falconpy import NGSIEM
falcon = NGSIEM(client_id=CLIENT_ID,
client_secret=CLIENT_SECRET
)
response = falcon.get_search_status(repository="string",
id="string",
search_id="string",
paginationLimit=integer,
paginationOffset=integer,
pagination_limit=integer,
pagination_offset=integer)
print(response)

Stop a NGSIEM search.

DELETE /humio/api/v1/repositories/{repository}/queryjobs/{id}
Scope NGSIEM: WRITE Consumes · Produces application/json
PEP 8 stop_search
NameTypeData typeDescription
repositorypathstringName of the repository.
idpathstringID of the query.
parametersquerydictionaryFull query string parameters payload in JSON format.
from falconpy import NGSIEM
falcon = NGSIEM(client_id=CLIENT_ID,
client_secret=CLIENT_SECRET
)
response = falcon.stop_search(repository="string",
id="string",
search_id="string")
print(response)

Get dashboard template by ID.

GET /ngsiem-content/entities/dashboards-template/v1
Scope NGSIEM Dashboards: READ Consumes · Produces application/json
PEP 8 get_dashboard_template
NameTypeData typeDescription
idsquerystringDashboard ID value.
search_domainquerystringName of search domain (view or repo), options; all, falcon, third-party, dashboards.
parametersquerydictionaryFull query string parameters payload in JSON format.
from falconpy import NGSIEM
falcon = NGSIEM(client_id=CLIENT_ID,
client_secret=CLIENT_SECRET
)
id_list = 'ID1,ID2,ID3' # Can also pass a list here: ['ID1', 'ID2', 'ID3']
response = falcon.get_dashboard_template(ids=id_list, search_domain="string")
print(response)

Create Dashboard from LogScale YAML Template in NGSIEM.

POST /ngsiem-content/entities/dashboards-template/v1
Scope NGSIEM Dashboards: WRITE Consumes multipart/form-data Produces application/json
PEP 8 create_dashboard_from_template
NameTypeData typeDescription
search_domainformDatastringName of search domain (view or repo), options; all, falcon, third-party.
nameformDatastringName of the dashboard.
yaml_templateformDatastringLogScale dashboard YAML template content, see schema at https://schemas.humio.com/.
parametersquerydictionaryFull query string parameters payload in JSON format.
from falconpy import NGSIEM
falcon = NGSIEM(client_id=CLIENT_ID,
client_secret=CLIENT_SECRET
)
response = falcon.create_dashboard_from_template(search_domain="string",
name="string",
yaml_template="string")
print(response)

Update Dashboard from LogScale YAML Template in NGSIEM. Please note a successful update will result in a new ID value being returned.

PATCH /ngsiem-content/entities/dashboards-template/v1
Scope NGSIEM Dashboards: WRITE Consumes multipart/form-data Produces application/json
PEP 8 update_dashboard_from_template
NameTypeData typeDescription
search_domainformDatastringName of search domain (view or repo), options; all, falcon, third-party.
idsformDatastringID of the dashboard.
yaml_templateformDatastringLogScale dashboard YAML template content, see schema at https://schemas.humio.com/.
parametersquerydictionaryFull query string parameters payload in JSON format.
from falconpy import NGSIEM
falcon = NGSIEM(client_id=CLIENT_ID,
client_secret=CLIENT_SECRET
)
response = falcon.update_dashboard_from_template(search_domain="string",
name="string",
yaml_template="string")
print(response)

Delete Dashboard in NGSIEM.

DELETE /ngsiem-content/entities/dashboards/v1
Scope NGSIEM Dashboards: WRITE Consumes · Produces application/json
PEP 8 delete_dashboard
NameTypeData typeDescription
idsquerystringDashboard ID value.
search_domainquerystringName of search domain (view or repo), options; all, falcon, third-party.
parametersquerydictionaryFull query string parameters payload in JSON format.
from falconpy import NGSIEM
falcon = NGSIEM(client_id=CLIENT_ID,
client_secret=CLIENT_SECRET
)
id_list = 'ID1,ID2,ID3' # Can also pass a list here: ['ID1', 'ID2', 'ID3']
response = falcon.delete_dashboard(ids=id_list, search_domain="string")
print(response)

Retrieve Lookup File in NGSIEM.

GET /ngsiem-content/entities/lookupfiles/v1
Scope NGSIEM Lookup Files: READ Consumes · Produces application/json
PEP 8 get_lookup_file
NameTypeData typeDescription
filenamequerystringLookup file filename.
search_domainquerystringName of search domain (view or repo), options; all, falcon, third-party, dashboards, parsers-repository.
parametersquerydictionaryFull query string parameters payload in JSON format.
from falconpy import NGSIEM
falcon = NGSIEM(client_id=CLIENT_ID,
client_secret=CLIENT_SECRET
)
with open("output_file", "wb") as save_file:
response = falcon.get_lookup_file(filename="string",
search_domain="string",
stream=boolean)
save_file.write(response)

Create Lookup File in NGSIEM.

POST /ngsiem-content/entities/lookupfiles/v1
Scope NGSIEM Lookup Files: WRITE Consumes multipart/form-data Produces application/json
PEP 8 create_lookup_file
NameTypeData typeDescription
search_domainformDatastringName of search domain (view or repo), options; all, falcon, third-party, parsers-repository.
filenameformDatastringFilename of the lookup file to create.
fileformDatastringFile content to upload.
parametersquerydictionaryFull query string parameters payload in JSON format.
from falconpy import NGSIEM
falcon = NGSIEM(client_id=CLIENT_ID,
client_secret=CLIENT_SECRET
)
response = falcon.create_lookup_file(search_domain="string",
filename="string",
file="string")
print(response)

Update Lookup File in NGSIEM.

PATCH /ngsiem-content/entities/lookupfiles/v1
Scope NGSIEM Lookup Files: WRITE Consumes multipart/form-data Produces application/json
PEP 8 update_lookup_file
NameTypeData typeDescription
search_domainformDatastringName of search domain (view or repo), options; all, falcon, third-party, parsers-repository.
filenameformDatastringFilename of the lookup file to update.
fileformDatastringFile content to upload.
parametersquerydictionaryFull query string parameters payload in JSON format.
from falconpy import NGSIEM
falcon = NGSIEM(client_id=CLIENT_ID,
client_secret=CLIENT_SECRET
)
response = falcon.update_lookup_file(search_domain="string",
filename="string",
file="string")
print(response)

Delete Lookup File in NGSIEM.

DELETE /ngsiem-content/entities/lookupfiles/v1
Scope NGSIEM Lookup Files: WRITE Consumes · Produces application/json
PEP 8 delete_lookup_file
NameTypeData typeDescription
filenamequerystringLookup file filename.
search_domainquerystringName of search domain (view or repo), options; all, falcon, third-party, parsers-repository.
parametersquerydictionaryFull query string parameters payload in JSON format.
from falconpy import NGSIEM
falcon = NGSIEM(client_id=CLIENT_ID,
client_secret=CLIENT_SECRET
)
response = falcon.delete_lookup_file(filename="string", search_domain="string")
print(response)

List dashboards.

GET /ngsiem-content/queries/dashboards/v1
Scope NGSIEM Dashboards: READ Consumes · Produces application/json
PEP 8 list_dashboards
NameTypeData typeDescription
limitquerystringMaximum number of results to return (default: 50, max: 9999)
offsetquerystringNumber of results to offset the returned results by (default: 0, max: 9999)
filterquerystringFQL filter to apply to the name of the content, only currently support text match on name field: name:~‘value’
search_domainquerystringName of search domain (view or repo), options; all, falcon, third-party, dashboards
parametersquerydictionaryFull query string parameters payload in JSON format.
from falconpy import NGSIEM
falcon = NGSIEM(client_id=CLIENT_ID,
client_secret=CLIENT_SECRET
)
response = falcon.list_dashboards(limit=integer,
offset=integer,
filter="string",
search_domain="string")
print(response)

List lookup files.

GET /ngsiem-content/queries/lookupfiles/v1
Scope NGSIEM Lookup Files: READ Consumes · Produces application/json
PEP 8 list_lookup_files
NameTypeData typeDescription
limitquerystringMaximum number of results to return (default: 50, max: 9999)
offsetquerystringNumber of results to offset the returned results by (default: 0, max: 9999)
filterquerystringFQL filter to apply to the name of the content, only currently support text match on name field: name:~‘value’
search_domainquerystringName of search domain (view or repo), options; all, falcon, third-party, dashboards, parsers-repository
parametersquerydictionaryFull query string parameters payload in JSON format.
from falconpy import NGSIEM
falcon = NGSIEM(client_id=CLIENT_ID,
client_secret=CLIENT_SECRET
)
response = falcon.list_lookup_files(limit=integer,
offset=integer,
filter="string",
search_domain="string")
print(response)

List parsers.

GET /ngsiem-content/queries/parsers/v1
Scope NGSIEM Parsers: READ Consumes · Produces application/json
PEP 8 list_parsers
NameTypeData typeDescription
limitquerystringMaximum number of results to return (default: 50, max: 9999)
offsetquerystringNumber of results to offset the returned results by (default: 0, max: 9999)
filterquerystringFQL filter to apply to the name of the content, only currently support text match on name field: name:~‘value’
repositoryquerystringName of repository, options; parsers-repository
update_availablequerystringFilter parsers by update availability. Allowed values: true, false
parser_typequerystringFilter parsers by type. Allowed values: ootb, custom
parametersquerydictionaryFull query string parameters payload in JSON format.
from falconpy import NGSIEM
falcon = NGSIEM(client_id=CLIENT_ID,
client_secret=CLIENT_SECRET
)
response = falcon.list_parsers(limit=integer,
offset=integer,
filter="string",
repository="string",
update_available="string",
parser_type="string")
print(response)

List saved queries.

GET /ngsiem-content/queries/savedqueries/v1
Scope NGSIEM Saved Queries: READ Consumes · Produces application/json
PEP 8 list_saved_queries
NameTypeData typeDescription
limitquerystringMaximum number of results to return (default: 50, max: 9999)
offsetquerystringNumber of results to offset the returned results by (default: 0, max: 9999)
filterquerystringFQL filter to apply to the name of the content, only currently support text match on name field: name:~‘value’
search_domainquerystringName of search domain (view or repo), options; all, falcon, third-party, dashboards
parametersquerydictionaryFull query string parameters payload in JSON format.
from falconpy import NGSIEM
falcon = NGSIEM(client_id=CLIENT_ID,
client_secret=CLIENT_SECRET
)
response = falcon.list_saved_queries(limit=integer,
offset=integer,
filter="string",
search_domain="string")
print(response)

Update entries in an existing Lookup File in NGSIEM.

PATCH /ngsiem-content/entities/lookupfiles-entries/v1
Scope NGSIEM Lookup Files: WRITE Consumes multipart/form-data Produces application/json
PEP 8 update_lookup_file_entries
NameTypeData typeDescription
search_domainformDatastringName of search domain (view or repo), options; all, falcon, third-party, parsers-repository.
filenameformDatastringFilename of the lookup file to update.
fileformDatastringThe file content for updating or appending the entries.
update_modeformDatastringHow to update the file entries, options; append, update.
key_columnsformDatastringFor update mode, the comma separated list of key columns to use when matching entries (REQUIRED when update_mode=update).
ignore_caseformDatastringFor update mode, whether to ignore case when matching keys (REQUIRED when update_mode=update), options; true, false.
parametersquerydictionaryFull query string parameters payload in JSON format.
from falconpy import NGSIEM
falcon = NGSIEM(client_id=CLIENT_ID,
client_secret=CLIENT_SECRET
)
response = falcon.update_lookup_file_entries(search_domain="string",
filename="string",
file="string",
update_mode="string",
key_columns=["string"],
ignore_case="string")
print(response)

List and search data connections.

GET /ngsiem/combined/connections/v1
Scope NGSIEM: READ Consumes · Produces application/json
PEP 8 list_data_connections
NameTypeData typeDescription
filterquerystringOptional filter criteria in FQL format.
offsetqueryintegerStarting position for pagination.
limitqueryintegerMaximum number of items to return.
sortquerystringSort field and direction.
parametersquerydictionaryFull query string parameters payload in JSON format.
from falconpy import NGSIEM
falcon = NGSIEM(client_id=CLIENT_ID,
client_secret=CLIENT_SECRET
)
response = falcon.list_data_connections(filter="string",
offset=integer,
limit=integer,
sort="string")
print(response)

List available data connectors.

GET /ngsiem/combined/connectors/v1
Scope NGSIEM: READ Consumes · Produces application/json
PEP 8 list_data_connectors
NameTypeData typeDescription
filterquerystringOptional filter criteria in FQL format.
offsetqueryintegerStarting position for pagination.
limitqueryintegerMaximum number of items to return.
sortquerystringSort field and direction.
parametersquerydictionaryFull query string parameters payload in JSON format.
from falconpy import NGSIEM
falcon = NGSIEM(client_id=CLIENT_ID,
client_secret=CLIENT_SECRET
)
response = falcon.list_data_connectors(filter="string",
offset=integer,
limit=integer,
sort="string")
print(response)

Get data connection provisioning status.

GET /ngsiem/entities/connections/status/v1
Scope NGSIEM: READ Consumes · Produces application/json
PEP 8 get_provisioning_status
NameTypeData typeDescription
idsquerystring or listUnique identifier of the data connection.
parametersquerydictionaryFull query string parameters payload in JSON format.
from falconpy import NGSIEM
falcon = NGSIEM(client_id=CLIENT_ID,
client_secret=CLIENT_SECRET
)
id_list = 'ID1,ID2,ID3' # Can also pass a list here: ['ID1', 'ID2', 'ID3']
response = falcon.get_provisioning_status(ids=id_list)
print(response)

Update data connection status.

PATCH /ngsiem/entities/connections/status/v1
Scope NGSIEM: WRITE Consumes · Produces application/json
PEP 8 update_connection_status
NameTypeData typeDescription
idsquerystringUnique identifier of the data connection.
bodybodydictionaryFull body payload in JSON format.
statusbodystringStatus value.
parametersquerydictionaryFull query string parameters payload in JSON format.
from falconpy import NGSIEM
falcon = NGSIEM(client_id=CLIENT_ID,
client_secret=CLIENT_SECRET
)
id_list = 'ID1,ID2,ID3' # Can also pass a list here: ['ID1', 'ID2', 'ID3']
response = falcon.update_connection_status(ids=id_list, status="string")
print(response)

Get Ingest token for data connection.

GET /ngsiem/entities/connections/token/v1
Scope NGSIEM: READ Consumes · Produces application/json
PEP 8 get_ingest_token
NameTypeData typeDescription
idsquerystringUnique identifier of the data connection.
parametersquerydictionaryFull query string parameters payload in JSON format.
from falconpy import NGSIEM
falcon = NGSIEM(client_id=CLIENT_ID,
client_secret=CLIENT_SECRET
)
id_list = 'ID1,ID2,ID3' # Can also pass a list here: ['ID1', 'ID2', 'ID3']
response = falcon.get_ingest_token(ids=id_list)
print(response)

Regenerate Ingest token for data connection.

POST /ngsiem/entities/connections/token/v1
Scope NGSIEM: WRITE Consumes · Produces application/json
PEP 8 regenerate_ingest_token
NameTypeData typeDescription
idsquerystringUnique identifier of the data connection.
parametersquerydictionaryFull query string parameters payload in JSON format.
from falconpy import NGSIEM
falcon = NGSIEM(client_id=CLIENT_ID,
client_secret=CLIENT_SECRET
)
id_list = 'ID1,ID2,ID3' # Can also pass a list here: ['ID1', 'ID2', 'ID3']
response = falcon.regenerate_ingest_token(ids=id_list)
print(response)

Get data connection by ID.

GET /ngsiem/entities/connections/v1
Scope NGSIEM: READ Consumes · Produces application/json
PEP 8 get_connection_by_id
NameTypeData typeDescription
idsquerystring or listUnique identifier of the data connection.
parametersquerydictionaryFull query string parameters payload in JSON format.
from falconpy import NGSIEM
falcon = NGSIEM(client_id=CLIENT_ID,
client_secret=CLIENT_SECRET
)
id_list = 'ID1,ID2,ID3' # Can also pass a list here: ['ID1', 'ID2', 'ID3']
response = falcon.get_connection_by_id(ids=id_list)
print(response)

Create a new data connection.

POST /ngsiem/entities/connections/v1
Scope NGSIEM: WRITE Consumes · Produces application/json
PEP 8 create_data_connection
NameTypeData typeDescription
bodybodydictionaryFull body payload in JSON format.
configbodydictionaryConfiguration dictionary.
config_idbodystringConfiguration ID.
connector_idbodystringConnector ID.
connector_typebodystringConnector type.
descriptionbodystringConnection description.
enable_host_enrichmentbodybooleanEnable host enrichment.
enable_user_enrichmentbodybooleanEnable user enrichment.
namebodystringConnection name.
parserbodystringParser.
vendor_namebodystringVendor name.
vendor_product_namebodystringVendor product name.
from falconpy import NGSIEM
falcon = NGSIEM(client_id=CLIENT_ID,
client_secret=CLIENT_SECRET
)
id_list = 'ID1,ID2,ID3' # Can also pass a list here: ['ID1', 'ID2', 'ID3']
config = {
"auth": {},
"name": "string",
"params": {}
}
response = falcon.create_data_connection(config=config,
config_id="string",
connector_id="string",
connector_type="string",
description="string",
enable_host_enrichment=boolean,
enable_user_enrichment=boolean,
log_sources=id_list,
name="string",
parser="string",
vendor_name="string",
vendor_product_name="string")
print(response)

Update a data connection.

PATCH /ngsiem/entities/connections/v1
Scope NGSIEM: WRITE Consumes · Produces application/json
PEP 8 update_data_connection
NameTypeData typeDescription
idsquerystringUnique identifier of the data connection.
bodybodydictionaryFull body payload in JSON format.
configbodydictionaryConfiguration dictionary.
config_idbodystringConfiguration ID.
descriptionbodystringConnection description.
enable_host_enrichmentbodybooleanEnable host enrichment.
enable_user_enrichmentbodybooleanEnable user enrichment.
namebodystringConnection name.
parserbodystringParser.
parametersquerydictionaryFull query string parameters payload in JSON format.
from falconpy import NGSIEM
falcon = NGSIEM(client_id=CLIENT_ID,
client_secret=CLIENT_SECRET
)
id_list = 'ID1,ID2,ID3' # Can also pass a list here: ['ID1', 'ID2', 'ID3']
config = {
"auth": {},
"name": "string",
"params": {}
}
response = falcon.update_data_connection(ids=id_list,
config=config,
config_id="string",
description="string",
enable_host_enrichment=boolean,
enable_user_enrichment=boolean,
name="string",
parser="string")
print(response)

Delete a data connection.

DELETE /ngsiem/entities/connections/v1
Scope NGSIEM: WRITE Consumes · Produces application/json
PEP 8 delete_data_connection
NameTypeData typeDescription
idsquerystringUnique identifier of the data connection.
parametersquerydictionaryFull query string parameters payload in JSON format.
from falconpy import NGSIEM
falcon = NGSIEM(client_id=CLIENT_ID,
client_secret=CLIENT_SECRET
)
id_list = 'ID1,ID2,ID3' # Can also pass a list here: ['ID1', 'ID2', 'ID3']
response = falcon.delete_data_connection(ids=id_list)
print(response)

List configurations for a data connector.

GET /ngsiem/entities/connectors/configs/v1
Scope NGSIEM: READ Consumes · Produces application/json
PEP 8 list_connector_configs
NameTypeData typeDescription
idsquerystringUnique identifier of the data connector.
parametersquerydictionaryFull query string parameters payload in JSON format.
from falconpy import NGSIEM
falcon = NGSIEM(client_id=CLIENT_ID,
client_secret=CLIENT_SECRET
)
id_list = 'ID1,ID2,ID3' # Can also pass a list here: ['ID1', 'ID2', 'ID3']
response = falcon.list_connector_configs(ids=id_list)
print(response)

Create a new configuration for a data connector.

POST /ngsiem/entities/connectors/configs/v1
Scope NGSIEM: WRITE Consumes · Produces application/json
PEP 8 create_connector_config
NameTypeData typeDescription
bodybodydictionaryFull body payload in JSON format.
configbodydictionaryConfiguration details for the connector including authentication and parameters.
connector_idbodystringUnique identifier of the data connector.
from falconpy import NGSIEM
falcon = NGSIEM(client_id=CLIENT_ID,
client_secret=CLIENT_SECRET
)
config = {
"auth": {},
"name": "string",
"params": {}
}
response = falcon.create_connector_config(config=config, connector_id="string")
print(response)

Patch configurations for a data connector.

PATCH /ngsiem/entities/connectors/configs/v1
Scope NGSIEM: WRITE Consumes · Produces application/json
PEP 8 patch_connector_config
NameTypeData typeDescription
idsquerystringUnique id of the config to update.
bodybodydictionaryFull body payload in JSON format.
configbodydictionaryConfiguration details for the connector including authentication and parameters.
connector_idbodystringUnique identifier of the data connector.
parametersquerydictionaryFull query string parameters payload in JSON format.
from falconpy import NGSIEM
falcon = NGSIEM(client_id=CLIENT_ID,
client_secret=CLIENT_SECRET
)
id_list = 'ID1,ID2,ID3' # Can also pass a list here: ['ID1', 'ID2', 'ID3']
config = {
"auth": {},
"name": "string",
"params": {}
}
response = falcon.patch_connector_config(ids=id_list,
config=config,
connector_id="string")
print(response)

Delete data connection config.

DELETE /ngsiem/entities/connectors/configs/v1
Scope NGSIEM: WRITE Consumes · Produces application/json
PEP 8 delete_connector_configs
NameTypeData typeDescription
connector_idquerystringUnique identifier of the connector.
idsquerystring or list of stringsUnique identifiers of the config(s) to delete.
parametersquerydictionaryFull query string parameters payload in JSON format.
from falconpy import NGSIEM
falcon = NGSIEM(client_id=CLIENT_ID,
client_secret=CLIENT_SECRET
)
id_list = 'ID1,ID2,ID3' # Can also pass a list here: ['ID1', 'ID2', 'ID3']
response = falcon.delete_connector_configs(connector_id="string", ids=id_list)
print(response)

Update Parser in NGSIEM from YAML Template. Please note that name changes are not supported, but rather should be created as a new parser.

PATCH /ngsiem-content/entities/parsers-template/v1
Scope NGSIEM Parsers: WRITE Consumes · Produces application/json
PEP 8 update_parser_from_template
NameTypeData typeDescription
repositoryformDatastringname of repository
idsformDatastringid of the parser
yaml_templateformDatafileLogScale Parser YAML template content, see schema at https://schemas.humio.com/
parametersquerydictionaryFull query string parameters payload in JSON format.
from falconpy import NGSIEM
falcon = NGSIEM(client_id=CLIENT_ID,
client_secret=CLIENT_SECRET
)
id_list = 'ID1,ID2,ID3' # Can also pass a list here: ['ID1', 'ID2', 'ID3']
response = falcon.update_parser_from_template(repository="string",
ids=id_list,
yaml_template="string")
print(response)

Retrieve Parser in NGSIEM as LogScale YAML Template.

GET /ngsiem-content/entities/parsers-template/v1
Scope NGSIEM Parsers: READ Consumes · Produces application/json
PEP 8 get_parser_template
NameTypeData typeDescription
idsquerystringParser ID value
repositoryquerystringName of repository, options; parsers-repository
parametersquerydictionaryFull query string parameters payload in JSON format.
from falconpy import NGSIEM
falcon = NGSIEM(client_id=CLIENT_ID,
client_secret=CLIENT_SECRET
)
id_list = 'ID1,ID2,ID3' # Can also pass a list here: ['ID1', 'ID2', 'ID3']
response = falcon.get_parser_template(ids=id_list, repository="string")
print(response)

Create Parser from LogScale YAML Template in NGSIEM.

POST /ngsiem-content/entities/parsers-template/v1
Scope NGSIEM Parsers: WRITE Consumes multipart/form-data Produces application/json
PEP 8 create_parser_from_template
NameTypeData typeDescription
repositoryformDatastringName of repository, options; parsers-repository.
nameformDatastringName of the parser.
yaml_templateformDatastringLogScale Parser YAML template content, see schema at https://schemas.humio.com/.
parametersquerydictionaryFull query string parameters payload in JSON format.
from falconpy import NGSIEM
falcon = NGSIEM(client_id=CLIENT_ID,
client_secret=CLIENT_SECRET
)
response = falcon.create_parser_from_template(repository="string",
name="string",
yaml_template="string")
print(response)

Retrieve Parser in NGSIEM.

GET /ngsiem-content/entities/parsers/v1
Scope NGSIEM Parsers: READ Consumes · Produces application/json
PEP 8 get_parser
NameTypeData typeDescription
idsquerystringParser ID value
repositoryquerystringName of repository, options; parsers-repository
parametersquerydictionaryFull query string parameters payload in JSON format.
from falconpy import NGSIEM
falcon = NGSIEM(client_id=CLIENT_ID,
client_secret=CLIENT_SECRET
)
id_list = 'ID1,ID2,ID3' # Can also pass a list here: ['ID1', 'ID2', 'ID3']
response = falcon.get_parser(ids=id_list, repository="string")
print(response)

Create Parser in NGSIEM.

POST /ngsiem-content/entities/parsers/v1
Scope NGSIEM Parsers: WRITE Consumes · Produces application/json
PEP 8 create_parser
NameTypeData typeDescription
bodybodydictionaryFull body payload in JSON format
fields_to_be_removed_before_parsingbodystring or listList of fields to remove before parsing. String or list of strings.
fields_to_tagbodystring or listList of fields to tag. String or list of strings.
namebodystringParser name.
repositorybodystringParser repository.
scriptbodystringParser script.
test_casesbodylistList of test cases to apply to the parser. List of dictionaries.
from falconpy import NGSIEM
falcon = NGSIEM(client_id=CLIENT_ID,
client_secret=CLIENT_SECRET
)
id_list = 'ID1,ID2,ID3' # Can also pass a list here: ['ID1', 'ID2', 'ID3']
test_cases = [
{
"event": {
"raw_string": "string"
},
"output_assertions": [
{
"assertions": {
"fields_have_values": [
{
"expected_value": "string",
"field_name": "string"
}
],
"fields_not_present": [
"string"
]
},
"output_event_index": 0
}
]
}
]
response = falcon.create_parser(fields_to_be_removed_before_parsing=id_list,
fields_to_tag=id_list,
name="string",
repository="string",
script="string",
test_cases=test_cases)
print(response)

Update Parser in NGSIEM. Please note that name changes are not supported, but rather should be created as a new parser.

PATCH /ngsiem-content/entities/parsers/v1
Scope NGSIEM Parsers: WRITE Consumes · Produces application/json
PEP 8 update_parser
NameTypeData typeDescription
bodybodydictionaryFull body payload in JSON format
fields_to_be_removed_before_parsingbodystring or listList of fields to remove before parsing. String or list of strings.
fields_to_tagbodystring or listList of fields to tag. String or list of strings.
idbodystringID of the parser to be updated.
namebodystringParser name.
repositorybodystringParser repository.
scriptbodystringParser script.
test_casesbodylistList of test cases to apply to the parser. List of dictionaries.
parametersquerydictionaryFull query string parameters payload in JSON format.
from falconpy import NGSIEM
falcon = NGSIEM(client_id=CLIENT_ID,
client_secret=CLIENT_SECRET
)
id_list = 'ID1,ID2,ID3' # Can also pass a list here: ['ID1', 'ID2', 'ID3']
test_cases = [
{
"event": {
"raw_string": "string"
},
"output_assertions": [
{
"assertions": {
"fields_have_values": [
{
"expected_value": "string",
"field_name": "string"
}
],
"fields_not_present": [
"string"
]
},
"output_event_index": 0
}
]
}
]
response = falcon.update_parser(fields_to_be_removed_before_parsing=id_list,
fields_to_tag=id_list,
id="string",
name="string",
repository="string",
script="string",
test_cases=test_cases)
print(response)

Delete Parser in NGSIEM.

DELETE /ngsiem-content/entities/parsers/v1
Scope NGSIEM Parsers: WRITE Consumes · Produces application/json
PEP 8 delete_parser
NameTypeData typeDescription
idsquerystringParser ID value
repositoryquerystringName of repository, options; parsers-repository
parametersquerydictionaryFull query string parameters payload in JSON format.
from falconpy import NGSIEM
falcon = NGSIEM(client_id=CLIENT_ID,
client_secret=CLIENT_SECRET
)
id_list = 'ID1,ID2,ID3' # Can also pass a list here: ['ID1', 'ID2', 'ID3']
response = falcon.delete_parser(ids=id_list, repository="string")
print(response)

Update a parser auto update policy.

Enables or disables auto-updates for parsers.

PUT /ngsiem-content/entities/parsers/autoupdate/v1
Scope NGSIEM Parsers: WRITE Consumes · Produces application/json
PEP 8 update_parser_auto_update_policy
NameTypeData typeDescription
bodybodydictionaryFull body payload in JSON format.
autoupdate_policybodystringThe auto update policy setting (‘on’ or ‘off’).
reasonbodystringReason for changing the auto update policy.
from falconpy import NGSIEM
falcon = NGSIEM(client_id=CLIENT_ID,
client_secret=CLIENT_SECRET
)
response = falcon.update_parser_auto_update_policy(autoupdate_policy="string",
reason="string")
print(response)

Install a CrowdStrike-managed out-of-the-box (OOTB) parser.

Provisions a pre-built parser with a specific version for the requesting customer ID (CID). The parser is installed as-is and cannot be modified by the customer.

POST /ngsiem-content/entities/parsers/install/v1
Scope NGSIEM Parsers: WRITE Consumes · Produces application/json
PEP 8 install_parser
NameTypeData typeDescription
bodybodydictionaryFull body payload in JSON format.
parser_idbodystringThe unique identifier of the parser to install.
versionbodystringThe version of the parser to install.
from falconpy import NGSIEM
falcon = NGSIEM(client_id=CLIENT_ID,
client_secret=CLIENT_SECRET
)
response = falcon.install_parser(parser_id="string", version="string")
print(response)

Install multiple CrowdStrike-managed out-of-the-box (OOTB) parsers.

Provisions multiple pre-built parsers with their specific versions for the requesting customer ID (CID). The parsers are installed as-is and cannot be modified by the customer. Maximum 100 parsers per request.

POST /ngsiem-content/entities/parsers/bulk-install/v1
Scope NGSIEM Parsers: WRITE Consumes · Produces application/json
PEP 8 bulk_install_parsers
NameTypeData typeDescription
bodybodydictionaryFull body payload in JSON format.
parsersbodylistList of parser objects containing parser_id and version. List of dictionaries.
from falconpy import NGSIEM
falcon = NGSIEM(client_id=CLIENT_ID,
client_secret=CLIENT_SECRET
)
parsers = [
{
"parser_id": "string",
"version": "string"
}
]
response = falcon.bulk_install_parsers(parsers=parsers)
print(response)

Retrieve Saved Query in NGSIEM as LogScale YAML Template by ID.

GET /ngsiem-content/entities/savedqueries-template/v1
Scope NGSIEM Saved Queries: READ Consumes · Produces application/json
PEP 8 get_saved_query_template
NameTypeData typeDescription
idsquerystringSaved query ID value
search_domainquerystringName of search domain (view or repo), options; all, falcon, third-party, dashboards
parametersquerydictionaryFull query string parameters payload in JSON format.
from falconpy import NGSIEM
falcon = NGSIEM(client_id=CLIENT_ID,
client_secret=CLIENT_SECRET
)
id_list = 'ID1,ID2,ID3' # Can also pass a list here: ['ID1', 'ID2', 'ID3']
response = falcon.get_saved_query_template(ids=id_list, search_domain="string")
print(response)

Create Saved Query from LogScale YAML Template in NGSIEM.

POST /ngsiem-content/entities/savedqueries-template/v1
Scope NGSIEM Saved Queries: WRITE Consumes multipart/form-data Produces application/json
PEP 8 create_saved_query
NameTypeData typeDescription
search_domainformDatastringName of search domain (view or repo), options; all, falcon, third-party
yaml_templateformDatastringLogScale Saved Query YAML template content, see schema at https://schemas.humio.com/
parametersquerydictionaryFull query string parameters payload in JSON format.
from falconpy import NGSIEM
falcon = NGSIEM(client_id=CLIENT_ID,
client_secret=CLIENT_SECRET
)
response = falcon.create_saved_query(search_domain="string",
yaml_template="string")
print(response)

Update Saved Query from LogScale YAML Template in NGSIEM.

PATCH /ngsiem-content/entities/savedqueries-template/v1
Scope NGSIEM Saved Queries: WRITE Consumes multipart/form-data Produces application/json
PEP 8 update_saved_query_from_template
NameTypeData typeDescription
search_domainformDatastringName of search domain (view or repo), options; all, falcon, third-party
idsformDatastringID of the saved query
yaml_templateformDatastringLogScale Saved Query YAML template content, see schema at https://schemas.humio.com/
parametersquerydictionaryFull query string parameters payload in JSON format.
from falconpy import NGSIEM
falcon = NGSIEM(client_id=CLIENT_ID,
client_secret=CLIENT_SECRET
)
id_list = 'ID1,ID2,ID3' # Can also pass a list here: ['ID1', 'ID2', 'ID3']
response = falcon.update_saved_query_from_template(ids=id_list,
search_domain="string",
yaml_template="string")
print(response)

Delete Saved Query in NGSIEM.

DELETE /ngsiem-content/entities/savedqueries/v1
Scope NGSIEM Saved Queries: WRITE Consumes · Produces application/json
PEP 8 delete_saved_query
NameTypeData typeDescription
idsquerystringSaved query ID value
search_domainquerystringName of search domain (view or repo), options; all, falcon, third-party
parametersquerydictionaryFull query string parameters payload in JSON format.
from falconpy import NGSIEM
falcon = NGSIEM(client_id=CLIENT_ID,
client_secret=CLIENT_SECRET
)
id_list = 'ID1,ID2,ID3' # Can also pass a list here: ['ID1', 'ID2', 'ID3']
response = falcon.delete_saved_query(ids=id_list, search_domain="string")
print(response)